Skip to content

/api/v1/data/saved-queries (POST)

POST
/api/v1/data/saved-queries
curl --request POST \
--url https://nbaproplab.com/api/v1/data/saved-queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: score-day-2026-05-27-001' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "name": "example", "resource": "example", "filtersJson": "example", "fields": "example", "include": "example", "sort": "example" }'
Idempotency-Key
string

Unique key for safe retry. Duplicate requests return the original operation.

Example
score-day-2026-05-27-001
object
name
required
string
resource
required
string
filtersJson
null | string
fields
null | string
include
null | string
sort
null | string
Example generated
{
"name": "example",
"resource": "example",
"filtersJson": "example",
"fields": "example",
"include": "example",
"sort": "example"
}

OK

Authentication required.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Insufficient permissions or tier.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}